{% extends "base.html" %}
{% block content %}
<form action="" method="post">
  {{ form.hidden_tag() }}
  <fieldset>
    <legend>Filter work time records</legend>
    {{ form.employee.label() }}{{ form.employee() }}
    <br>
    {{ form.start_time.label() }}
    {% if form.start_time.errors %}
        {{ form.start_time() }}
        {% for error in form.start_time.errors %}
            <br>
            <span>{{ error }}</span>
        {% endfor %}
    {% else %}
        {{ form.start_time() }}
    {% endif %}
    <br>
    {{ form.end_time.label() }}
    {% if form.end_time.errors %}
        {{ form.end_time() }}
        {% for error in form.end_time.errors %}
            <br>
            <span>{{ error }}</span>
        {% endfor %}
    {% else %}
        {{ form.end_time() }}
    {% endif %}
    <br>
    {{ form.work_type.label() }}{{ form.work_type() }}
    <br>
    {{ form.submit() }}
  </fieldset>
</form>
<table class="centered">
  <tr>
    <th>Employee</th>
    <th>Start time</th>
    <th>End time</th>
    <th>Work type</th>
    <th>Token</th>
  </tr>
  {% for hour in hours %}
  <tr>
    <td>{{ hour.employee.name + ' ' + hour.employee.surname }}</td>
    <td>{{ hour.start_time }}</td>
    <td>{{ hour.end_time }}</td>
    <td>{{ hour.work_type.value }}</td>
    <td>{{ hour.token }}</td>
  </tr>
  {% endfor %}
</table>
{% endblock content %}
